gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] 01/04: check for GNU parallel


From: gnunet
Subject: [gnunet] 01/04: check for GNU parallel
Date: Sun, 21 Aug 2022 23:58:17 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository gnunet.

commit e23e49cac13e8916297564620d23b93827deff16
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Aug 21 23:57:19 2022 +0200

    check for GNU parallel
---
 src/dht/dhtu_testbed_deploy.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/dht/dhtu_testbed_deploy.sh b/src/dht/dhtu_testbed_deploy.sh
index 5a7fdde15..3a2ffeff0 100755
--- a/src/dht/dhtu_testbed_deploy.sh
+++ b/src/dht/dhtu_testbed_deploy.sh
@@ -23,12 +23,20 @@ then
     exit 1
 fi
 
+echo -n "Testing for GNU parallel ..."
+
 if test ! -x `which parallel`
 then
     echo "This script requires GNU parallel"
     exit 1
 fi
 
+parallel -V | grep "GNU parallel" > /dev/null || exit 1
+
+echo " OK"
+
+
+
 if test ! -x `which gnunet-service-dht`
 then
     echo "This script requires gnunet-service-dht in \$PATH"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]